require 'enigma_decrypter/version'
require 'openssl'
require 'base64'

module EnigmaDecrypter
  def self.decrypt(encrypted_key, private_key_path)
    return nil if encrypted_key.to_s.empty? || private_key_path.to_s.empty?
    private_key = File.read(private_key_path)
    rsa_private_key = OpenSSL::PKey::RSA.new(private_key)
    rsa_private_key.private_decrypt(Base64.decode64(encrypted_key))
  end
end
